# Builder

## Builder API

### `Builder`

Creates a builder object that is used for creating a SafetyScoreRequestParameter instance.

```java
Builder(Period period)
```

<table><thead><tr><th width="249">Parameters</th><th></th></tr></thead><tbody><tr><td>period</td><td>The period for which the aggregated safety score is being requested. See <a href="/pages/z0j2coSYNoHcTkicixLK">Period</a>.</td></tr></tbody></table>

### `build`

Builds and returns an instance of SafetyScoreRequestParameters.

```java
Builder build();
```

### `setOccupantRoles`

Sets the occupant roles for which the safety score is being requested for.

Returns an instance of the Builder.

```java
Builder setOccupantRoles(OccupantRoles occupantRoles);
```

<table><thead><tr><th width="249">Parameters</th><th></th></tr></thead><tbody><tr><td>occupantRoles</td><td>The occupant roles for which the aggregated safety score is being requested. See <a href="/pages/ui6CyLAuaQhT8N5DRHVe">OccupantRoles</a>.</td></tr></tbody></table>

### `setTransportModes`

Sets the transport modes for which the safety score is being requested for.

Returns an instance of the Builder.

```java
Builder setTransportModes(TransportModes transportModes);
```

<table><thead><tr><th width="249">Parameters</th><th></th></tr></thead><tbody><tr><td>transportModes</td><td>The transport modes for which the aggregated safety score is being requested. See <a href="/pages/v19oKQAzvfbfOsrY6cjy">TransportModes</a>.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sentiance.com/important-topics/sdk/api-reference/android/driving-insights/safetyscorerequestparameters/builder.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
